com.icesoft.faces.component.paneltabset

## Class TabChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - com.icesoft.faces.component.paneltabset.TabChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TabChangeEvent
      extends javax.faces.event.FacesEvent

  TabChangeEvent is an extension of FacesEvent.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabChangeEvent(javax.faces.component.UIComponent component, int oldTabIndex, int newTabIndex)` Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNewTabIndex()` Returns the new selected tab index.
    `int` | `getOldTabIndex()` Returns the old selected tab index.
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)` Returns true when the listener is an instance of TabChangeListener
    `void` | `processListener(javax.faces.event.FacesListener listener)` invokes the processTabChange method on the TabChangeListener.

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TabChangeEvent

          public TabChangeEvent(javax.faces.component.UIComponent component,
                                int oldTabIndex,
                                int newTabIndex)

      Creates an instance.
      Parameters:
        `component` -
        `oldTabIndex` -
        `newTabIndex` -

  - ### Method Detail

    - #### getOldTabIndex

          public int getOldTabIndex()

      Returns the old selected tab index.
      Returns:
        _oldTabIndex

    - #### getNewTabIndex

          public int getNewTabIndex()

      Returns the new selected tab index.
      Returns:
        _newTabIndex

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Returns true when the listener is an instance of TabChangeListener
      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`
      Parameters:
        `listener` -
      Returns:
        true if listener is a TabChangeListener

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      invokes the processTabChange method on the TabChangeListener.
      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`
      Parameters:
        `listener` -

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.